updated hyprland.sh script to check first if hyprland, hypridle and hyprlock is already installed and will skip it.

This commit is contained in:
JaKooLit
2025-03-20 11:58:25 +09:00
parent ced0769af2
commit 6b88c9cc58
2 changed files with 22 additions and 14 deletions

View File

@@ -25,6 +25,7 @@ hypr_package=(
jq jq
kitty kitty
kvantum kvantum
libspng
nano nano
network-manager-applet network-manager-applet
pamixer pamixer

View File

@@ -2,11 +2,13 @@
# 💫 https://github.com/JaKooLit 💫 # # 💫 https://github.com/JaKooLit 💫 #
# Main Hyprland Package # # Main Hyprland Package #
hypr=( hypr_eco=(
hyprland
hypridle hypridle
hyprlock hyprlock
libspng )
hypr=(
hyprland
) )
## WARNING: DO NOT EDIT BEYOND THIS LINE IF YOU DON'T KNOW WHAT YOU ARE DOING! ## ## WARNING: DO NOT EDIT BEYOND THIS LINE IF YOU DON'T KNOW WHAT YOU ARE DOING! ##
@@ -22,23 +24,28 @@ if ! source "$(dirname "$(readlink -f "$0")")/Global_functions.sh"; then
exit 1 exit 1
fi fi
# Set the name of the log file to include the current date and time # Set the name of the log file to include the current date and time
LOG="Install-Logs/install-$(date +%d-%H%M%S)_hyprland.log" LOG="Install-Logs/install-$(date +%d-%H%M%S)_hyprland.log"
# Removing other Hyprland to avoid conflict # Check if Hyprland is installed
printf "${YELLOW} Checking for other hyprland packages and remove if any..${RESET}\n" if command -v Hyprland >/dev/null 2>&1; then
if pacman -Qs hyprland >/dev/null; then printf "${YELLOW} Hyprland is already installed. No action required.${RESET}\n"
printf "${YELLOW} Hyprland detected. attempting to uninstall to install Hyprland from official repo...${RESET}\n" else
for hyprnvi in hyprland-git hyprland-nvidia hyprland-nvidia-git hyprland-nvidia-hidpi-git; do printf "${YELLOW} Hyprland not found. Installing Hyprland...${RESET}\n"
sudo pacman -R --noconfirm "$hyprnvi" 2>/dev/null | tee -a "$LOG" || true for HYPRLAND in "${hypr[@]}"; do
install_package "$HYPRLAND" "$LOG"
done done
fi fi
# Hyprland # Hyprland -eco packages
printf "${NOTE} Installing ${SKY_BLUE}Hyprland packages${RESET} .......\n" printf "${NOTE} Installing ${SKY_BLUE}other Hyprland-eco packages${RESET} .......\n"
for HYPR in "${hypr[@]}"; do for HYPR in "${hypr_eco[@]}"; do
install_package "$HYPR" "$LOG" if ! command -v "$HYPR" >/dev/null 2>&1; then
printf "${YELLOW} $HYPR not found. Installing $HYPR...${RESET}\n"
install_package "$HYPR" "$LOG"
else
printf "${YELLOW} $HYPR is already installed. No action required.${RESET}\n"
fi
done done
printf "\n%.0s" {1..2} printf "\n%.0s" {1..2}